<?php 
/**
 * The browse view file of contact module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     contact 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../common/view/header.html.php';?>
<?php js::set('mode', $mode);?>
<?php js::set('origin', $origin);?>
<?php 
$extendFields = $this->leads->getFlowExtendFields();
$canApply     = false;
$canApplyAll  = commonModel::hasPriv('leads', 'apply');
if(!empty($config->leads->sites))
{
    foreach($config->leads->sites as $code => $site) $canApply = $canApply || commonModel::hasPriv('leads', 'apply' . $code);
}
?>

<?php if($canApply && !empty($config->leads->sites)):?>
<li class="leads dropdown <?php echo $mode == 'ignoredByOther' ? 'active' : '';?>">
  <a href='javascript:;' data-toggle='dropdown'><?php echo $lang->leads->ignoredByOther;?> <span class='caret'></span></a>
  <ul aria-labelledby='dropdownMenu1' role='menu' class='dropdown-menu'>
    <?php
    foreach($config->leads->sites as $code => $site)
    {
        if(!commonModel::hasPriv('leads', 'apply' . $code)) continue;

        $site  = json_decode($site);
        $class = $code == $origin ? "class='active'" : '';
        echo "<li $class>";
        commonModel::printLink('leads', 'browse', "mode=ignoredByOther&status=ignore&origin={$code}", $site->name, '', true, false);
        echo '</li>';
    }
    ?>
  </ul>
</li>
<?php endif;?>

<?php if(commonModel::hasPriv('leads', 'sync') && !empty($config->leads->sites)):?>
<li class='leads dropdown'>
  <a href='javascript:;' data-toggle='dropdown'><?php echo $lang->leads->sync;?> <span class='caret'></span></a>
  <ul aria-labelledby='dropdownMenu1' role='menu' class='dropdown-menu'>
    <?php
    commonModel::printLink('leads', 'sync', '', $lang->all, '', true, false, 'li');
    foreach($config->leads->sites as $code => $site)
    {
        $site = json_decode($site);
        commonModel::printLink('leads', 'sync', "origin=$code", $site->name, '', true, false, 'li');
    }
    ?>
  </ul>
</li>
<?php endif;?>
<li id='bysearchTab'><?php echo html::a('#', "<i class='icon-search icon'></i>" . $lang->search->common)?></li>
<div id='menuActions'>
  <?php commonModel::printLink('leads', 'import', '', $lang->importIcon . $lang->import, "class='btn btn-secondary ' data-toggle='modal'");?>
  <?php if(commonModel::hasPriv('leads', 'export')):?>
  <div class='btn-group'>
    <button data-toggle='dropdown' class='btn btn-secondary dropdown-toggle' type='button'><?php echo $lang->exportIcon . $lang->export;?> <span class='caret'></span></button>
    <ul id='exportActionMenu' class='dropdown-menu'>
      <li><?php echo html::a(inlink('export', 'type=leads&mode=all'), $lang->exportAll, "class='iframe' data-width='700'");?></li>
      <li><?php echo html::a(inlink('export', 'type=leads&mode=thisPage'), $lang->exportThisPage, "class='iframe' data-width='700'");?></li>
      <li><?php commonModel::printLink('leads', 'exportTemplate', 'type=leads', $lang->exportTemplate, "class='iframe' data-width='700'");?></li>
    </ul>
  </div>
  <?php endif;?>
  <?php if($canApply):?>
  <div class='btn-group'>
    <?php if(!$canApplyAll):?>
    <button type='button' class='btn btn-primary'><?php echo "<i class='icon-pencil'> </i>" . $lang->contact->apply;?></button>
    <?php else:?>
    <?php echo html::a(inlink('apply'), "<i class='icon-pencil'> </i>" . $lang->contact->apply, "class='leads-apply btn btn-primary'");?>
    <?php endif;?>

    <button type='button' class='btn btn-primary dropdown-toggle' data-toggle='dropdown'><span class='caret'></span></button>
    <ul class='dropdown-menu' role='menu'>
      <?php
      foreach($config->leads->sites as $code => $site)
      {
          $site = json_decode($site);
          if(!commonModel::hasPriv('leads', 'apply' . $code)) continue;
          
          echo '<li>' . html::a(inlink('apply', "origin=$code"), $lang->contact->apply . $site->name, "class='leads-apply'") . '</li>';
      }
      ?>
    </ul>
  </div>
  <?php else:?>
  <?php commonModel::printLink('leads', 'apply', '', "<i class='icon-pencil'> </i>" . $lang->contact->apply, "class='leads-apply btn btn-primary'");?>
  <?php endif;?>
  <?php commonModel::printLink('leads', 'create', '', "<i class='icon-plus'></i> {$lang->leads->create}", "class='btn btn-primary'")?>
</div>
<?php 
$canBatchAssign = commonModel::hasPriv('leads', 'batchAssign');
$canBatchIgnore = commonModel::hasPriv('leads', 'batchIgnore');
$canBatchAction = $contacts && ($canBatchAssign || $canBatchIgnore);
?>
<div class='panel main-table' data-ride='table'>
  <?php if($canBatchAction):?>
  <form id='ajaxForm' method='post'>
  <?php endif;?>
    <table class='table has-sort-head' id='contactList'>
      <thead>
        <tr class='text-center'>
          <?php $vars = "mode={$mode}&status={$status}&origin={$origin}&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}";?>
          <th class='w-80px text-left'>
            <?php if($canBatchAction):?>
            <div class='checkbox-primary check-all' title='<?php echo $this->lang->selectAll;?>'><label></label></div>
            <?php endif;?>
            <?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->contact->id);?>
          </th>
          <th class='w-80px text-left'><?php commonModel::printOrderLink('realname', $orderBy, $vars, $lang->contact->realname);?></th>
          <?php if($mode == 'next'):?>
          <th class='w-80px text-left'><?php commonModel::printOrderLink('nextDate', $orderBy, $vars, $lang->contact->nextDate);?></th>
          <?php endif;?>
          <th class='text-left'><?php commonModel::printOrderLink('company', $orderBy, $vars, $lang->contact->company);?></th>
          <th class='w-50px'> <?php commonModel::printOrderLink('gender', $orderBy, $vars, $lang->contact->gender);?></th>
          <th class='w-130px text-left'><?php commonModel::printOrderLink('phone', $orderBy, $vars, $lang->contact->phone . $lang->slash . $lang->contact->mobile);?></th>
          <th class='w-130px'><?php commonModel::printOrderLink('email', $orderBy, $vars, $lang->contact->email);?></th>
          <th class='w-80px'><?php commonModel::printOrderLink('qq', $orderBy, $vars, $lang->contact->qq);?></th>
          <?php if(!empty($config->leads->sites)):?>
          <th class='w-80px'><?php commonModel::printOrderLink('register', $orderBy, $vars, $lang->leads->register);?></th>
          <th class='w-80px'><?php commonModel::printOrderLink('last', $orderBy, $vars, $lang->leads->last);?></th>
          <th class='w-80px'><?php commonModel::printOrderLink('visits', $orderBy, $vars, $lang->leads->visits);?></th>
          <?php endif;?>
          <th class='w-90px'><?php commonModel::printOrderLink('origin', $orderBy, $vars, $lang->contact->origin);?></th>
          <?php foreach($extendFields as $extendField) echo "<th class='" . ($extendField->width != 'auto' ? "w-{$extendField->width}px" : '')  . "'>{$extendField->name}</th>";?>
          <th class='w-<?php echo $lang->leads->actionWidth;?>px'><?php echo $lang->actions;?></th>
        </tr>
      </thead>
      <tbody>
      <?php foreach($contacts as $contact):?>
      <tr class='text-center'>
        <td class='text-left'>
          <?php if($canBatchAction):?>
          <div class='checkbox-primary'>
            <input type='checkbox' name='contactIDList[]' value="<?php echo $contact->id;?>">
            <label for="contactIDList<?php echo $contact->id;?>"></label>
          </div>
          <?php endif;?>
          <?php echo $contact->id;?>
        </td>
        <td class='text-left'><?php echo html::a(inlink('view', "contactID={$contact->id}"), $contact->realname);?></td>
        <?php if($mode == 'next'):?>
        <td class='text-left'><?php echo formatTime($contact->nextDate, DT_DATE1);?></td>
        <?php endif;?>
        <td class='text-left c-name' title='<?php echo $contact->company?>'><?php echo $contact->company;?></td>
        <td><?php echo zget($lang->genderList, $contact->gender, '');?></td>
        <?php $phoneAndMobile =  $contact->phone . (($contact->phone && $contact->mobile) ? $lang->slash : '') . $contact->mobile;?>
        <td class='text-left' title='<?php echo $phoneAndMobile;?>' ><?php echo $phoneAndMobile;?></td>
        <td title='<?php echo $contact->email?>'><?php echo html::mailto($contact->email, $contact->email)?></td>
        <td title='<?php echo $contact->qq?>'><?php echo empty($contact->qq) ? '' : html::a("tencent://Message/?Uin={$contact->qq}&websiteName=ZDOO&Menu=yes", $contact->qq, "target='_blank'")?></td>
        <?php if(!empty($config->leads->sites)):?>
        <td><?php echo formatTime($contact->register, DT_DATE1);?></td>
        <td><?php echo formatTime($contact->last, DT_DATE1);?></td>
        <td><?php echo $contact->visits;?></td>
        <?php endif;?>
        <td>
          <?php
          foreach(explode(',', $contact->origin) as $origin)
          {
              if(!$origin) continue;
              if(isset($config->leads->sites->$origin))
              {
                  $site = json_decode($config->leads->sites->$origin);
                  echo $site->name;
              }
              else
              {
                  echo $origin;
              }
          }
          ?>
        </td>
        <?php foreach($extendFields as $extendField) echo "<td>" . $this->loadModel('flow')->getFieldValue($extendField, $contact) . "</td>";?>
        <td class='actions'><?php echo $this->leads->buildOperateMenu($contact, 'browse');?></td>
      </tr>
      <?php endforeach;?>
      </tbody>
    </table>
    <div class='table-footer'>
      <?php if($canBatchAction):?>
      <div class='checkbox-primary check-all'><label><?php echo $lang->selectAll;?></label></div>
      <div class='table-actions btn-toolbar'>
        <?php
        if($canBatchIgnore && $mode != 'ignoredBy' && $mode != 'all')
        {
            $ignoreLink = $this->createLink('leads', 'batchIgnore');
            echo html::a("$ignoreLink", $lang->ignore, "data-toggle='modal' class='btn'");
        }
        ?>

        <?php if($canBatchAssign):?>
        <?php $assignLink = $this->createLink('leads', 'batchAssign');?>
        <div class='btn-group dropup no-margin'>
          <button data-toggle='dropdown' type='button' class='btn dropdown-toggle'> <?php echo $lang->contact->assignedTo;?> <span class='caret'></span></button>
          <?php echo html::select('assignedTo', $users, '', "class='hidden'");?>
          <?php $withSearch = count($users) > 10;?>
          <?php if($withSearch):?>
          <div class="dropdown-menu search-list search-box-sink" data-ride="searchList">
            <div class="input-control search-box has-icon-left has-icon-right search-example">
              <input id="userSearchBox" type="search" autocomplete="off" class="form-control search-input">
              <label for="userSearchBox" class="input-control-icon-left search-icon"><i class="icon icon-search"></i></label>
              <a class="input-control-icon-right search-clear-btn"><i class="icon icon-close icon-sm"></i></a>
            </div>
          <?php $usersPinYin = commonModel::convert2Pinyin($users);?>
          <?php else:?>
          <div class="dropdown-menu search-list search-box-float">
          <?php endif;?>
            <div class="list-group">
              <?php
              foreach($users as $key => $value)
              {
                  if(empty($key)) continue;
                  $searchKey = $withSearch ? ('data-key="' . zget($usersPinYin, $value, '') . " @$key\"") : "data-key='@$key'";
                  echo html::a("javascript:$(\".table-actions #assignedTo\").val(\"$key\");setFormAction(\"$assignLink\")", $value, $searchKey);
              }
              ?>
            </div>
          </div>
        </div>
        <?php endif;?>
      </div>
      <div class='table-statistic'></div>
      <?php endif;?>

      <?php $pager->show();?>
    </div>
  <?php if($canBatchAction):?>
  </form>
  <?php endif;?>
</div>
<?php include '../../../common/view/footer.html.php';?>
